phone_loop_search_s Struct Reference

Phone loop search structure. More...

`#include <phone_loop_search.h>`

## Data Fields

ps_search_t | base
| Base search structure.
hmm_t * | hmms
| Basic HMM structures for CI phones.
hmm_context_t * | hmmctx
| HMM context structure.
int16 | frame
| Current frame being searched.
int16 | n_phones
| Size of phone array.
int32 ** | pen_buf
| Penalty buffer.
int16 | pen_buf_ptr
| Pointer for frame to fill in penalty buffer.
int32 * | penalties
| Penalties for CI phones in current frame.
float64 | penalty_weight
| Weighting factor for penalties.
int32 | best_score
| Best Viterbi score in current frame.
int32 | beam
| HMM pruning beam width.
int32 | pbeam
| Phone exit pruning beam width.
int32 | pip
| Phone insertion penalty ("language score").
int | window
| Window size for phoneme lookahead.
glist_t | renorm
| List of renormalizations.

## Detailed Description

Phone loop search structure.

Definition at line 72 of file phone_loop_search.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/phone_loop_search.h